from pelican import signals

from . import j2filters

import datetime

def add_filter(pelican):
	"""Add date filter to Pelican."""
	pelican.env.filters.update({'date': j2filters.j2filter_date})
	pelican.env.filters.update({'date_from_to': j2filters.j2filter_date_from_to})
	pelican.env.filters.update({'date_from_to_long': j2filters.j2filter_date_from_to_long})

def register():
	"""Plugin registration."""
	signals.generator_init.connect(add_filter)

